function love.load ()
	joysticks = {}
	message = ''
end

function love.draw ()
	love.graphics.setColor (255, 255, 255)
	love.graphics.rectangle ('fill', 10, 10, 50, 50)

	love.graphics.print ('first row is left, second row is right', 70, 10)
	love.graphics.print (message, 200, 200)

	love.graphics.setColor (0, 0, 0)
	love.graphics.print ("reload", 20, 20)

	for i, joystick in ipairs (joysticks) do
		love.graphics.setColor (255, 255, 255)
		love.graphics.rectangle ("fill", (10 + (60*(i-1))), 70 , 50, 50)
		love.graphics.rectangle ("fill", (10 + (60*(i-1))), 130 , 50, 50)

		love.graphics.setColor (0, 0, 0)
		love.graphics.print ("joy " .. i, (20 + (60*(i-1))), 80)
		love.graphics.print ("joy " .. i, (20 + (60*(i-1))), 140)
	end
end

function love.mousepressed (x, y, button)
	if x >= 10 and x <= 60 and y >= 10 and y <= 60 then
		joysticks = love.joystick.getJoysticks ()
		for i, joystick in ipairs (joysticks) do
			joysticks[i]:setVibration (0, 0)
		end
	elseif y <= 180 and y >= 70 then
		if y <= 120 and y >= 70 then
			for i, joystick in ipairs (joysticks) do
				if x <= (60 + (60*(i-1))) and x >= (10 + (60*(i-1))) then
					local left, right = joysticks[i]:getVibration()
					joysticks[i]:setVibration (((left+0.25)%1.25), right)
					message = i .. ' left ' .. tostring(joysticks[i]:isVibrationSupported ())
				end
			end
		elseif y <= 180 and y >= 130 then
			for i, joystick in ipairs (joysticks) do
				if x <= (60 + (60*(i-1))) and x >= (10 + (60*(i-1))) then
					local left, right = joysticks[i]:getVibration()
					joysticks[i]:setVibration (left, ((right+0.25)%1.25))
					message = i .. ' right ' .. tostring(joysticks[i]:isVibrationSupported ())
				end
			end
		end
	end
end
